
<body>
  <div class="container">
    <div class="title">Registration</div>
    <div class="content">
      <form [formGroup]="registerForm" (ngSubmit)="RegisterForm()">
        <div class="user-details">
       
          <div class="input-box">
            <span class="details" for="uname">Username</span>
            <input type="text" id="uname" placeholder="Enter your username" formControlName="uname" required>
            <div *ngIf="f['uname'].touched && f['uname'].invalid" class="alert alert-danger">
                <div *ngIf="f['uname'].errors && f['uname'].errors['required']">Username is required.</div>
                <div *ngIf="f['uname'].errors && f['uname'].errors['minlength']">Username should be 3 character.</div>
              </div>
          </div>
          <div class="input-box">
            <span class="details" for="email">Email</span>
            <input type="email" id="email" placeholder="Enter your email" formControlName="email" required>
            <div *ngIf="f['email'].touched && f['email'].invalid" class="alert alert-danger">
                <div *ngIf="f['email'].errors && f['email'].errors['required']">Email is required.</div>
                <div *ngIf="f['email'].errors && f['email'].errors['email']">Please, enter valid email address.</div>
            </div>
          </div>
          <div class="input-box">
            <span class="details" for="pno">Phone Number</span>
            <input type="text" id="pno" placeholder="Enter your number" formControlName="pno" required>
            <div *ngIf="f['pno'].touched && f['pno'].invalid" class="alert alert-danger">
                <div *ngIf="f['pno'].errors && f['pno'].errors['required']">Phone Number is required.</div>
                <div *ngIf="f['pno'].errors && f['pno'].errors['minlength']">Phone Number should be 10 character</div>
            </div>
          </div>
          <div class="input-box">
            <span class="details" for="pass">Password</span>
            <input type="password" id="pass" placeholder="Enter your password" formControlName="pass" required>
            <div *ngIf="f['pass'].touched && f['pass'].invalid" class="alert alert-danger">
                <div *ngIf="f['pass'].errors && f['pass'].errors['required']">Password is required.</div>
                <div *ngIf="f['pass'].errors && f['pass'].errors['minlength']">Password should be 6 character.</div>
            </div>
          </div>
        </div>
     
        <div class="button">
          <input type="submit" value="Register">
        </div>

        <div class="button">
            <input type="submit" value="Login" [routerLink]="['/authentication/login/']">
          </div>
      </form>
    </div>
  </div>

</body>

